<template>
  <!--todo: при валидации форм для вывода ошибок присваивать класс '-invalid'-->
  <!--todo: для простого поля ввода: <div class="input -invalid"></div>-->
  <!--todo: для селекта: <AppSelect :class="{ '-invalid' : hasError }"-->
  <div class="templateForm">
    <div class="templateForm-item">
      <div class="priceLabel">Название шаблона*</div>
      <div
        class="input _name"
        :class="{ '-invalid': hasError }">
        <div
          v-if="hasError"
          class="input-message-error">Укажите название шаблона</div>
        <input
          type="text"
          placeholder="например, Шины_GM_оптовые цены"
          class="input-field">
      </div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Первая строка*</div>
      <div
        class="input"
        :class="{ '-invalid': hasError }">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}</div>
        <AppInputNumber class="_small"/>
      </div>
      <div class="priceComment">С какой строки в файле начинается перечисление запчастей</div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Марка автомобиля*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
      <span class="priceLabel _auto">или</span>
      <div class="input _seller">
        <input
          type="text"
          placeholder="Введите название марки авто"
          class="input-field">
      </div>
      <div class="priceComment">Если все товары в прайсе для 1й марки автомобиля</div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Модель автомобиля*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
      <span class="priceLabel _auto">или</span>
      <div class="input _seller">
        <input
          type="text"
          placeholder="Введите название модели авто"
          class="input-field">
      </div>
      <div class="priceComment">Если все товары в прайсе для 1й модели автомобиля</div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Производитель запчасти*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
      <span class="priceLabel _auto">или</span>
      <div class="input _seller">
        <input
          type="text"
          placeholder="Введите название производителя"
          class="input-field">
      </div>
      <div class="priceComment">Если все товары в прайсе от 1го производителя</div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Название запчасти*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Цена*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
    </div>

    <!--BEGIN: блок выбора типа прайса-->
    <div class="templateForm-item">
      <div class="priceLabel">Тип прайса*</div>
      <AppInputRadio
        class="_filter _rate"
        name="rate"
        :value="currentPriceType"
        @input="changePriceType($event, currentPriceType)"
        :list="[
          {label:'В наличии', value:'instock',},
          {label:'Под заказ', value:'underorder',}]"/>
      <div
        v-if="currentPriceType === 'instock'"
        class="priceComment">“В наличии” означает “0 дней доставки” - товар можно забрать “прямо сейчас”</div>
      <template v-if="currentPriceType === 'underorder'">
        <span class="priceLabel _auto">до</span>
        <div class="input _delivery-time">
          <input
            type="text"
            placeholder=""
            class="input-field">
        </div>
        <AppInputRadio
          class="_filter"
          name="unit-delivery-time"
          :value="0"
          :list="[
            {label:'Дней', value:0,},
            {label:'Часов', value:1,}]"/>
      </template>
    </div>

    <div
      v-if="currentPriceType === 'underorder'"
      class="templateForm-item">
      <div class="priceLabel">Сроки поставки*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
      <span class="priceLabel _auto">или</span>
      <div class="input _delivery">
        <input
          type="text"
          placeholder="Введите количество дней"
          class="input-field">
      </div>
      <div class="priceComment">Если срок доставки одинаковый для всех товаров</div>
    </div>

    <div class="templateForm-item">
      <div
        v-if="currentPriceType === 'instock'"
        class="priceLabel">Гарантированное количество,&nbsp;шт*</div>
      <div
        v-else
        class="priceLabel">Количество, доступное для&nbsp;заказа,&nbsp;шт*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
    </div>
    <!--END: блок выбора типа прайса-->

    <div class="templateForm-item">
      <div class="priceLabel"/>
      <button
        class="buttonMore"
        :class="{ '-opened':openAdditional }"
        @click="openAdditional=!openAdditional">
        <span v-if="!openAdditional">Показать дополнительные параметры</span>
        <span v-else>Скрыть дополнительные параметры</span>
        <img
          svg-inline
          src="~/assets/svg/redesign/accordion-arrow-down.svg">
      </button>
    </div>

    <template v-if="openAdditional">
      <div class="templateForm-item">
        <div class="priceLabel">Номер запчасти</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>
        <div class="priceComment">Если указан в прайсе</div>
      </div>

      <div class="templateForm-item">
        <div class="priceLabel">Состояние товара</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>
        <div class="priceComment">Новая или б/у, в отличном состоянии или с уценкой</div>
      </div>

      <div class="templateForm-item">
        <div class="priceLabel">Кузов</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>
        <div class="priceLabel _small">Двигатель</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>
        <div class="priceLabel _small">Год выпуска автомобиля</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>

      </div>

      <div class="templateForm-item">
        <div class="priceLabel">
          <span>Место <br>установки:</span>
          <span>справа<br>слева</span>
        </div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>
        <div class="priceLabel _small">спереди<br>сзади</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>
        <div class="priceLabel _small">сверху<br>снизу</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>

      </div>

      <div class="templateForm-item">
        <div class="priceLabel">Цвет запчасти</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>
        <div class="priceLabel _small">Описание запчасти</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>
        <div class="priceLabel _small">Ссылка на&nbsp;фото</div>
        <div class="input">
          <AppSelect
            class="_column"
            :class="{ 'multiselectThemeSmall': isInModal }"
            placeholder="№ колонки"/>
        </div>

      </div>
    </template>

    <div class="templateForm-item">
      <div class="priceLabel"/>
      <AppCheckbox>
        <template #label>
          Отображать в списке шаблонов при загрузке прайсов
        </template>
      </AppCheckbox>
    </div>

    <div class="templateForm-item _submit">
      <div class="priceLabel"/>
      <AppButton
        :classes="['buttonSubmit']">
        <template #button-item>Сохранить шаблон</template>
      </AppButton>
      <AppPopover
        :options="{
          placement: 'right',
          offset: '16',
          trigger: 'click',
          additionalClasses: ['tooltipButtonBack', 'tooltipWhite']}">
        <template slot="tooltip-trigger">
          <button class="button _transparent">
            <span class="link">Отменить</span>
          </button>
        </template>
        <div
          class="tooltip-content"
          slot="tooltip-content">
          <div class="tooltip-text">Сохранить изменения?</div>
          <button
            class="button _blue"
            v-close-popover>Да</button>
          <button
            class="button buttonOutline"
            v-close-popover>Нет</button>
        </div>
      </AppPopover>
    </div>

  </div>
</template>

<script>
import AppInputNumber from '~/components/redesign/app-input/app-input-number';
import AppSelect from '~/components/redesign/app-select/app-select';
import AppCheckbox from '~/components/redesign/app-input/app-checkbox';
import AppInputRadio from '~/components/redesign/app-input/app-input-radio';
import AppTooltipQuestion from '~/components/redesign/app-tooltip/app-tooltip-question';
import AppButton from '~/components/redesign/app-buttons/app-button';
import AppPopover from '~/components/redesign/app-tooltip/app-popover';

export default {
  name: 'TemplateContractParts',
  components: {
    AppPopover,
    AppButton,
    AppTooltipQuestion,
    AppInputRadio,
    AppCheckbox,
    AppSelect,
    AppInputNumber,
  },
  props: {
    isInModal: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      currentPriceType: 'instock',
      hasError: false,
      openAdditional: false,
      textError: 'Это поле должно быть заполнено',
    };
  },
  methods: {
    changePriceType(target) {
      this.currentPriceType = target;

      return true;
    },
  },

};
</script>

<style scoped lang="postcss">

</style>
